
%define name nvidia97xx
%define version 100.14.11

# NOTE: Please always do find | sort > filelist to find the possible
# file differences in a new driver release. See .manifest for the
# correct install locations and for the symlinks that nvidia-installer
# creates.

# Also try to keep other nvidia driver packages relatively synchronized.

# This package is currently kept backportable for >= 2006.0.

# pkg0: plain archive
# pkg1: + precompiled modules
# pkg2: + 32bit compatibility libraries
%define x86pkg_rel pkg0
%define x86_64pkg_rel pkg2

%define distsuffix plf

%define rel 1
%define release %mkrel %rel

%define major 1
%define module_name nvidia
%define priority 9700

%ifarch %ix86
%define packagedir NVIDIA-Linux-x86-%{version}-%{x86pkg_rel}
%endif
%ifarch x86_64
%define packagedir NVIDIA-Linux-x86_64-%{version}-%{x86_64pkg_rel}
%endif

%define xorgdir		%{_libdir}/xorg
%define ldsoconfgldir	%{_sysconfdir}/%{drivername}
%define ldsoconfglfile	ld.so.conf
%define nvidiadriversdir %{xorgdir}/modules/drivers/%{drivername}
%define nvidiaglxdir	%{xorgdir}/modules/extensions/%{drivername}
%define drivername	%{name}
%define libinstdir	%{_libdir}/%{drivername}
%define libinstdir32	%{_prefix}/lib/%{drivername}
%define misclibdir	%{libinstdir}
%define misclibdir32	%{libinstdir32}
%define bininstdir	%{libinstdir}/bin
%define xvmcdir		%{libinstdir}
%define xvmcconfigdir	%{_sysconfdir}/%{drivername}
%define maninstdir	%{_datadir}/%{drivername}
%define desktopdir	%{_datadir}/%{drivername}

%if %{mdkversion} <= 200700
%define ldsoconfgldir	%{_sysconfdir}/ld.so.conf.d/GL
%define ldsoconfglfile	%{drivername}.conf
%define drivername	nvidia
%define libinstdir	%{_libdir}/nvidia
%define libinstdir32	%{_prefix}/lib/nvidia
%define misclibdir	%{_libdir}
%define misclibdir32	%{_prefix}/lib
%define bininstdir	%{_bindir}
%define xvmcdir		%{_libdir}
%define xvmcconfigdir	%{_sysconfdir}/X11
%define maninstdir	%{_mandir}/man1
%define desktopdir	%{_datadir}/applications
%endif

%if %{mdkversion} <= 200600
%define xorgdir		%{_prefix}/X11R6/%{_lib}
%define xvmcdir		%{_prefix}/X11R6/%{_lib}
%define ldsoconfgldir	%{_sysconfdir}/ld.so.conf.d
%define nvidiadriversdir %{xorgdir}/modules/drivers
%define nvidiaglxdir	%{xorgdir}/modules/extensions/nvidia
%endif

# other packages should not require any libraries from these pkgs
# if they do, either they're broken or the lib needs to be split out
%define _provides_exceptions \\.so
%define common_requires_exceptions libGLcore\\.so\\|libnvidia-tls\\.so

%ifarch x86_64
# we catch out 32bit deps
%define _requires_exceptions %common_requires_exceptions\\|lib.*so.[0-9]*\\(([^)]\\+)\\)\\{0,1\\}$
%else
%define _requires_exceptions %common_requires_exceptions
%endif

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	NVIDIA proprietary X.org driver and libraries for new cards
License:	Freeware
Source0: 	ftp://download.nvidia.com/XFree86/Linux-x86/%{version}/NVIDIA-Linux-x86-%{version}-%{x86pkg_rel}.run
Source1: 	ftp://download.nvidia.com/XFree86/Linux-x86_64/%{version}/NVIDIA-Linux-x86_64-%{version}-%{x86_64pkg_rel}.run
URL:		http://www.nvidia.com/object/unix.html
Group:		System/Kernel and hardware
ExclusiveArch:	%ix86 x86_64
Buildroot:	%{_tmppath}/%{name}-root
BuildRequires:	ImageMagick
Requires:	dkms-%{name} = %{version}-%{release}
%if %{mdkversion} >= 200700
Requires:	x11-server-common
Requires(post):	update-alternatives
Requires(postun): update-alternatives
%endif
%if %{mdkversion} >= 200710
Requires:	drakx-kbd-mouse-x11 >= 0.8
%endif
Provides:	NVIDIA_GLX
Provides:	nvidia_GLX
Obsoletes:	nvidia_GLX
Provides:	nvidia-xorg = %{version}-%{release}
Obsoletes:	nvidia-xorg
Provides:	%mklibname nvidia-opengl 1
Obsoletes:	%mklibname nvidia-opengl 1
Provides:	%mklibname nvidia-xorg 1
Obsoletes:	%mklibname nvidia-xorg 1
%ifarch x86_64
Provides:	libnvidia-opengl1 libnvidia-xorg1
Obsoletes:	libnvidia-opengl1 libnvidia-xorg1
%endif
Obsoletes:	nvidia <= 9746
# For requires/conflicts on old packages following old versioning:
Provides:	nvidia = 10000

%description
NVIDIA proprietary X.org graphics driver, related libraries and
configuration tools for new GeForce/Quadro based video cards.

NOTE: You must use XFdrake to configure your NVIDIA card. The
correct packages will be automatically installed if not already
present.

1. Run XFdrake as root.
2. Go to the Graphics Card list.
3. Select your card (it is usually already autoselected).
4. Answer any questions asked and then quit.

If you wish to force XFdrake to use this driver, select one of the
cards listed below instead of the real one.

If you do not want to use XFdrake, see README.manual-install.

This NVIDIA driver is to be used with these products:
- GeForce FX series cards
- GeForce 6xxx series cards
- GeForce 7xxx series cards
- GeForce 8xxx series cards
- Quadro FX series cards
- Quadro NVS 280 PCI-E cards
- Quadro NVS 110M/120M/130M/135M/140M/285/320M/440 cards
- Quadro NVS 55/280 PCI cards

For older cards, the packages nvidia96xx and nvidia71xx should be
used instead.

This package is in PLF because of its non-free license.

%package -n	dkms-%{name}
Summary:	NVIDIA kernel module for new cards
Group:		System/Kernel and hardware
Requires:	dkms
Requires(post):	dkms
Requires(preun): dkms
Requires:	%{name} = %{version}-%{release}
Obsoletes:	dkms-nvidia
Provides:	dkms-nvidia

%description -n dkms-%{name}
NVIDIA kernel module for new GeForce/Quadro based video cards. This
is to be used with the %name package.

This package is in PLF because of its non-free license.

%package	devel
Summary:	NVIDIA XvMC development library and OpenGL headers
Group:		System/Kernel and hardware
Requires:	%{name} = %{version}-%{release}
Provides:	%mklibname nvidia-opengl 1 -d
Obsoletes:	%mklibname nvidia-opengl 1 -d
Provides:	%mklibname nvidia-xorg 1 -d
Obsoletes:	%mklibname nvidia-xorg 1 -d
%ifarch x86_64
Provides:	libnvidia-opengl1-devel libnvidia-xorg1-devel
Obsoletes:	libnvidia-opengl1-devel libnvidia-xorg1-devel
%endif
Obsoletes:	nvidia-devel
Provides:	nvidia-devel

%description devel
NVIDIA XvMC static development library and OpenGL headers for new
GeForce/Quadro based video cards. This package is not required for
normal use.

This package is in PLF because of its non-free license.

%prep
%setup -T -c
%ifarch %ix86
sh %{SOURCE0} --extract-only
%endif
%ifarch x86_64
sh %{SOURCE1} --extract-only
%endif
rm -rf %{packagedir}/usr/src/nv/precompiled

cat > README.upgrade.urpmi <<EOF
%if %mdkversion >= 200710
NOTE: If you are upgrading from the 'nvidia' package, you *must*
run XFdrake as per instructions in package description and
README.install.urpmi in order to reconfigure X.org for this renamed
driver.
%endif

IMPORTANT NOTE: This package *no longer supports* GeForce4 and older
cards. See packages nvidia96xx and nvidia71xx if you need drivers
for those products.
EOF

cat > README.install.urpmi <<EOF
This driver is for new GeForce/Quadro based video cards. See package
description for more info on supported devices and alternative drivers.

IMPORTANT NOTE: Please use XFdrake to configure the driver. This PLF provided
NVIDIA driver must be configured differently than the one available from
NVIDIA.

Use XFdrake to configure X to use the correct NVIDIA driver. Any needed
packages will be automatically installed if not already present.
1. Run XFdrake as root.
2. Go to the Graphics Card list.
3. Select your card (it is usually already autoselected).
4. Answer any questions asked and then quit.

If you do not want to use XFdrake, see README.manual-install.
EOF

cat > README.manual-install <<EOF
IMPORTANT NOTE: This file describes the procedure for the manual installation
of the PLF NVIDIA driver '%name'. You can find the instructions for
the recommended automatic installation in the file 'README.install.urpmi'.

- Open %{_sysconfdir}/X11/xorg.conf and do the following changes:
  o Change the Driver to "nvidia" in the Device section
  o Make the line below the only 'glx' related line in the Module section:
%if %mdkversion >= 200710
      Load "glx"
  o Make the lines below the only 'ModulePath' lines in the Files section:
      ModulePath "%{nvidiaglxdir}"
      ModulePath "%{xorgdir}/modules"
%else
      Load "%{nvidiaglxdir}/libglx.so"
%endif
%if %mdkversion >= 200700
- Run "update-alternatives --config gl_conf" as root and select
  %{drivername}.conf.
- Run "ldconfig" as root.
%endif 
EOF

%install
rm -rf %{buildroot}

# OpenGL headers
install -d -m755 %{buildroot}%{_includedir}/%{drivername}
cp -a %{packagedir}/usr/include/* %{buildroot}%{_includedir}/%{drivername}

# binaries
install -d -m755 %{buildroot}%{bininstdir}
install -m755 %{packagedir}/usr/bin/nvidia-settings %{buildroot}%{bininstdir}
install -m755 %{packagedir}/usr/bin/nvidia-xconfig %{buildroot}%{bininstdir}
install -m755 %{packagedir}/usr/bin/nvidia-bug-report.sh %{buildroot}%{bininstdir}

# dkms
install -d -m755 %{buildroot}/usr/src/%{name}-%{version}-%{release}
cp -a  %{packagedir}/usr/src/nv/* %{buildroot}/usr/src/%{name}-%{version}-%{release}
# not required, but rpmlint complains otherwise:
chmod 0755 %{buildroot}/usr/src/%{name}-%{version}-%{release}/conftest.sh

# XvMC libraries
install -d -m755 %{buildroot}%{xvmcdir}
install -m755 %{packagedir}/usr/X11R6/lib/libXvMCNVIDIA.a %{buildroot}%{xvmcdir}
install -m755 %{packagedir}/usr/X11R6/lib/libXvMCNVIDIA.so.%{version} %{buildroot}%{xvmcdir}
ln -s libXvMCNVIDIA.so.%{version} %{buildroot}%{xvmcdir}/libXvMCNVIDIA_dynamic.so.%{major}

# nvidia_drv
install -d -m755 %{buildroot}%{nvidiadriversdir}
install -m755 %{packagedir}/usr/X11R6/lib/modules/drivers/nvidia_drv.so %{buildroot}%{nvidiadriversdir}

# libglx.so
install -d -m755 %{buildroot}%{nvidiaglxdir}
install -m755 %{packagedir}/usr/X11R6/lib/modules/extensions/libglx.so.%{version} %{buildroot}%{nvidiaglxdir}
ln -s libglx.so.%{version} %{buildroot}%{nvidiaglxdir}/libglx.so

# libnvidia-wfb.so
install -m755 %{packagedir}/usr/X11R6/lib/modules/libnvidia-wfb.so.%{version} %{buildroot}%{xorgdir}/modules
%if %mdkversion <= 200700
ln -s libnvidia-wfb.so.%{version} %{buildroot}%{xorgdir}/modules/libnvidia-wfb.so.%{major}
ln -s libnvidia-wfb.so.%{major} %{buildroot}%{xorgdir}/modules/libwfb.so
%endif

# GL libraries
install -d -m755 %{buildroot}%{libinstdir}
install -m755 %{packagedir}/usr/lib/libGL.so.%{version} %{buildroot}%{libinstdir}
install -m755 %{packagedir}/usr/lib/libGLcore.so.%{version} %{buildroot}%{libinstdir}
install -m644 %{packagedir}/usr/lib/libGL.la %{buildroot}%{libinstdir}
perl -pi -e 's,__LIBGL_PATH__,%{libinstdir},' %{buildroot}%{libinstdir}/libGL.la
ln -s libGL.so.%{version} %{buildroot}%{libinstdir}/libGL.so.%{major}
ln -s libGL.so.%{major} %{buildroot}%{libinstdir}/libGL.so
ln -s libGLcore.so.%{version} %{buildroot}%{libinstdir}/libGLcore.so.%{major}
%ifarch x86_64
install -d -m755 %{buildroot}%{libinstdir32}
install -m755 %{packagedir}/usr/lib32/libGL.so.%{version} %{buildroot}%{libinstdir32}
install -m755 %{packagedir}/usr/lib32/libGLcore.so.%{version} %{buildroot}%{libinstdir32}
install -m644 %{packagedir}/usr/lib32/libGL.la %{buildroot}%{libinstdir32}
perl -pi -e 's,__LIBGL_PATH__,%{libinstdir32},' %{buildroot}%{libinstdir32}/libGL.la
ln -s libGL.so.%{version} %{buildroot}%{libinstdir32}/libGL.so.%{major}
ln -s libGL.so.%{major} %{buildroot}%{libinstdir32}/libGL.so
ln -s libGLcore.so.%{version} %{buildroot}%{libinstdir32}/libGLcore.so.%{major}
%endif

# other libraries
install -d -m755 %{buildroot}%{misclibdir}/tls
install -m755 %{packagedir}/usr/lib/libnvidia-tls.so.%{version} %{buildroot}%{misclibdir}
install -m755 %{packagedir}/usr/lib/tls/libnvidia-tls.so.%{version} %{buildroot}%{misclibdir}/tls
install -m755 %{packagedir}/usr/lib/libnvidia-cfg.so.%{version} %{buildroot}%{misclibdir}
ln -s libnvidia-tls.so.%{version} %{buildroot}%{misclibdir}/libnvidia-tls.so.%{major}
ln -s libnvidia-tls.so.%{version} %{buildroot}%{misclibdir}/tls/libnvidia-tls.so.%{major}
ln -s libnvidia-cfg.so.%{version} %{buildroot}%{misclibdir}/libnvidia-cfg.so.%{major}
ln -s libnvidia-cfg.so.%{major} %{buildroot}%{misclibdir}/libnvidia-cfg.so
%ifarch x86_64
install -d -m755 %{buildroot}%{misclibdir32}/tls
install -m755 %{packagedir}/usr/lib32/libnvidia-tls.so.%{version} %{buildroot}%{misclibdir32}
install -m755 %{packagedir}/usr/lib32/tls/libnvidia-tls.so.%{version} %{buildroot}%{misclibdir32}/tls
ln -s libnvidia-tls.so.%{version} %{buildroot}%{misclibdir32}/libnvidia-tls.so.%{major}
ln -s libnvidia-tls.so.%{version} %{buildroot}%{misclibdir32}/tls/libnvidia-tls.so.%{major}
%endif

# ld.so.conf.d
install -d -m755 %{buildroot}%{ldsoconfgldir}
echo "%{libinstdir}" > %{buildroot}%{ldsoconfgldir}/%{ldsoconfglfile}
%ifarch x86_64
echo "%{libinstdir32}" >> %{buildroot}%{ldsoconfgldir}/%{ldsoconfglfile}
%endif

# modprobe.conf
%if %mdkversion >= 200710
echo "alias %{module_name} %{drivername}" > %{buildroot}%{_sysconfdir}/%{drivername}/modprobe.conf
%endif

# XvMCConfig
install -d m755 %{buildroot}%{xvmcconfigdir}
echo "libXvMCNVIDIA_dynamic.so.%{major}" > %{buildroot}%{xvmcconfigdir}/XvMCConfig

# man pages
install -d -m755 %{buildroot}%{maninstdir}
install -m644 %{packagedir}/usr/share/man/man1/nvidia-settings.1.gz %{buildroot}%{maninstdir}
install -m644 %{packagedir}/usr/share/man/man1/nvidia-xconfig.1.gz %{buildroot}%{maninstdir}
bzme %{buildroot}%{maninstdir}/*.gz

# menus
%if %mdkversion <= 200600
install -d -m755 %buildroot/%{_menudir}
cat <<EOF >%buildroot/%{_menudir}/%name
?package(%{name}):command="%{_bindir}/nvidia-settings" \
                  icon=%{drivername}-settings.png \
                  needs="x11" \
                  section="System/Configuration/Hardware" \
                  title="NVIDIA Settings"\
                  longtitle="Configure NVIDIA X driver (%name)" \
                  xdg="true"
EOF
%endif

install -d -m755 %{buildroot}%{desktopdir}
cat > %{buildroot}%{desktopdir}/mandriva-nvidia-settings.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=NVIDIA Settings
Comment=Configure NVIDIA X driver (%name)
Exec=%{_bindir}/nvidia-settings
Icon=%{drivername}-settings
Terminal=false
Type=Application
Categories=Settings;HardwareSettings;X-MandrivaLinux-System-Configuration;
EOF

# icons
install -d -m755 %buildroot/%{_miconsdir} %buildroot/%{_iconsdir} %buildroot/%{_liconsdir}
convert %{packagedir}/usr/share/pixmaps/nvidia-settings.png -resize 16x16 %buildroot/%{_miconsdir}/%{drivername}-settings.png
convert %{packagedir}/usr/share/pixmaps/nvidia-settings.png -resize 32x32 %buildroot/%{_iconsdir}/%{drivername}-settings.png
install -m644 %{packagedir}/usr/share/pixmaps/nvidia-settings.png %buildroot/%{_liconsdir}/%{drivername}-settings.png

# dkms
cat > %{buildroot}/usr/src/%{name}-%{version}-%{release}/dkms.conf <<EOF
PACKAGE_NAME="%{name}"
PACKAGE_VERSION="%{version}-%{release}"
DEST_MODULE_LOCATION[0]="/kernel/drivers/video"
BUILT_MODULE_NAME[0]="%{module_name}"
%if %mdkversion >= 200710
DEST_MODULE_NAME[0]="%{drivername}"
%endif
MAKE[0]="make SYSSRC=\${kernel_source_dir} module"
AUTOINSTALL="YES"
EOF

# drop nvidia xen test
perl -pi -e 's/^module:(.*) xen-sanity-check (.*)$/module:$1 $2/' \
    %{buildroot}/usr/src//%{name}-%{version}-%{release}/Makefile.kbuild

%clean
rm -rf %{buildroot}

# We look for non-rpm installation and uninstall it
%pre
if [[ -x /usr/bin/nvidia-installer ]]; then
	/usr/bin/nvidia-installer --uninstall -s &>/dev/null || true
	rm -f /usr/bin/nvidia-installer
fi

# Using posttrans fixes upgrade (rpm removed
# %{xorgdir}/modules/drivers/nvidia_drv.so after the script had run)
%posttrans
%if %mdkversion >= 200710
[ -L %{_sysconfdir}/modprobe.d/nvidia.conf ] || rm -f %{_sysconfdir}/modprobe.d/nvidia.conf
%endif

%if %mdkversion >= 200700
[ -L %{xorgdir}/modules/drivers/nvidia_drv.so ] || rm -f %{xorgdir}/modules/drivers/nvidia_drv.so
%{_sbindir}/update-alternatives \
	--install %{_sysconfdir}/ld.so.conf.d/GL.conf gl_conf %{ldsoconfgldir}/%{ldsoconfglfile} %{priority} \
	--slave %{xorgdir}/modules/drivers/nvidia_drv.so nvidia_drv %{nvidiadriversdir}/nvidia_drv.so \
%if %mdkversion >= 200710
	--slave %{_sysconfdir}/modprobe.d/nvidia.conf nvidia_modconf %{_sysconfdir}/%{drivername}/modprobe.conf \
	--slave %{xorgdir}/modules/libnvidia-wfb.so.%{major} nvidia_wfb %{xorgdir}/modules/libnvidia-wfb.so.%{version} \
	--slave %{xorgdir}/modules/libwfb.so libwfb %{xorgdir}/modules/libnvidia-wfb.so.%{version} \
	--slave %{_sysconfdir}/X11/XvMCConfig xvmcconfig %{xvmcconfigdir}/XvMCConfig \
	--slave %{_mandir}/man1/nvidia-settings.1.bz2 man_nvidiasettings %{maninstdir}/nvidia-settings.1.bz2 \
	--slave %{_mandir}/man1/nvidia-xconfig.1.bz2 man_nvidiaxconfig %{maninstdir}/nvidia-xconfig.1.bz2 \
	--slave %{_datadir}/applications/mandriva-nvidia-settings.desktop nvidia_desktop %{desktopdir}/mandriva-nvidia-settings.desktop \
	--slave %{_bindir}/nvidia-settings nvidia_settings %{bininstdir}/nvidia-settings \
	--slave %{_bindir}/nvidia-xconfig nvidia_xconfig %{bininstdir}/nvidia-xconfig \
	--slave %{_bindir}/nvidia-bug-report.sh nvidia_bug_report %{bininstdir}/nvidia-bug-report.sh
%endif

# Override from manual mode in case of file absence
if [ ! -f %{_sysconfdir}/ld.so.conf.d/GL.conf ]; then
	%{_sbindir}/update-alternatives --auto gl_conf
fi
%endif
/sbin/ldconfig
%{update_menus}

%postun
%if %mdkversion >= 200700
# We check file instead of $0 to allow easy migration to another scheme later
if [ ! -f %{ldsoconfgldir}/%{ldsoconfglfile} ]; then
	%{_sbindir}/update-alternatives --remove gl_conf %{ldsoconfgldir}/%{ldsoconfglfile}
# Override from manual mode in case of file absence
	if [ ! -f %{_sysconfdir}/ld.so.conf.d/GL.conf ]; then
		%{_sbindir}/update-alternatives --auto gl_conf
	fi
fi
%endif
/sbin/ldconfig
%{clean_menus}

# posttrans for graceful handling of package rename
%posttrans -n dkms-%{name}
dkms add     -m %{name} -v %{version}-%{release}
dkms build   -m %{name} -v %{version}-%{release}
dkms install -m %{name} -v %{version}-%{release}

# rmmod any old driver if present and not in use (e.g. by X)
rmmod nvidia nvidia97xx nvidia96xx nvidia71xx > /dev/null 2>&1 || true

%preun -n dkms-%{name}
dkms remove -m %{name} -v %{version}-%{release} --all
true

%files
%defattr(-,root,root)

# package documentation
%doc %{packagedir}/usr/share/doc/NVIDIA_Changelog
%doc %{packagedir}/usr/share/doc/nvidia-settings-user-guide.txt
%doc %{packagedir}/usr/share/doc/README.txt
%doc %{packagedir}/usr/share/doc/XF86Config.sample
%doc %{packagedir}/usr/share/doc/html
%doc %{packagedir}/usr/share/doc/Copyrights
%doc %{packagedir}/LICENSE
%doc README.install.urpmi README.upgrade.urpmi
%doc README.manual-install

# alternative configs and binaries
%if %mdkversion <= 200700
%config(noreplace) %{_sysconfdir}/X11/XvMCConfig
%{ldsoconfgldir}/%{drivername}.conf
%{_bindir}/nvidia-settings
%{_bindir}/nvidia-xconfig
%{_bindir}/nvidia-bug-report.sh
%else
%{_sysconfdir}/%{drivername}
%{bininstdir}
%endif

# nvidia_drv.so
%if %mdkversion >= 200700
%dir %{nvidiadriversdir}
%endif
%{nvidiadriversdir}/nvidia_drv.so

# libwfb.so
%{xorgdir}/modules/libnvidia-wfb.so.%{version}
%if %mdkversion <= 200700
%{xorgdir}/modules/libnvidia-wfb.so.%{major}
%{xorgdir}/modules/libwfb.so
%endif

# libglx.so
%dir %{nvidiaglxdir}
%{nvidiaglxdir}/libglx.so*

# icons
%{_miconsdir}/%{drivername}-settings.png
%{_iconsdir}/%{drivername}-settings.png
%{_liconsdir}/%{drivername}-settings.png

# menus and manpages
%if %mdkversion <= 200600
%{_menudir}/%{name}
%endif
%if %mdkversion <= 200700
%{maninstdir}/nvidia-settings.1.bz2
%{maninstdir}/nvidia-xconfig.1.bz2
%{_datadir}/applications/mandriva-nvidia-settings.desktop
%else
%{_datadir}/%{name}
%endif

# native libs
%dir %{libinstdir}
%{libinstdir}/*.so.*
%dir %{misclibdir}/tls
%{misclibdir}/tls/*.so.*
%if %mdkversion <= 200700
%{_libdir}/libnvidia*.so.*
%{xvmcdir}/libXvMC*.so.*
%endif

# 32bit libs
%ifarch x86_64
%dir %{libinstdir32}
%{libinstdir32}/*.so.*
%dir %{misclibdir32}/tls
%{misclibdir32}/tls/*.so.*
%if %mdkversion <= 200700
%{misclibdir32}/*.so.*
%endif
%endif

%files devel
%defattr(-,root,root)
%doc %{packagedir}/LICENSE
%{_includedir}/%{drivername}
%{xvmcdir}/libXvMCNVIDIA.a
%{libinstdir}/*.so
%{libinstdir}/*.la
%if %mdkversion <= 200700
%{misclibdir}/*.so
%endif
%ifarch x86_64
%{libinstdir32}/*.la
%{libinstdir32}/*.so
%endif

%files -n dkms-%{name}
%defattr(-,root,root)
%doc %{packagedir}/LICENSE
/usr/src/%{name}-%{version}-%{release}

%changelog
* Fri Jun 22 2007 Anssi Hannula <anssi@zarb.org> 100.14.11-1plf2008.0
- 100.14.11
  o added support for GeForce 7050 PV and GeForce 7025
  o fixed various console restore problems
  o improved interaction with ATi RS480/482 based mainboards
  o improved support for House Sync with G-Sync II
  o improved NVIDIA X driver interaction with ACPI daemon
- drop xen patch, seems to have been implemented upstream

* Sat Jun 09 2007 Anssi Hannula <anssi@zarb.org> 100.14.09-1plf2008.0
- 100.14.09
  o added support for various GF8300/8400/8500/8600 and Quadro models
  o improved notebook GPU support
  o improved RenderAccel support for subpixel antialiased fonts
  o added XV brightness and contrast controls for GeForce 8 GPUs
  o improved interaction with newer Linux kernels
  o fixed a locale-interaction issue in the nvidia-settings configuration
    file parser

* Tue Mar 13 2007 Anssi Hannula <anssi@zarb.org> 1.0-9755.2plf2007.1
- add versioned provides for nvidia
- fix documentation of manual installation

* Thu Mar 08 2007 Anssi Hannula <anssi@zarb.org> 1.0-9755.1plf2007.1
- 9755
  o Added support for Quadro FX 4600 and Quadro FX 5600
  o Added initial support for NVIDIA SLI with GeForce 8800, Quadro FX 4600,
    and Quadro FX 5600
- add documentation for the manual installation procedure

* Sat Mar 03 2007 Anssi Hannula <anssi@zarb.org> 1.0-9746.6plf2007.1
- require new enough XFdrake on cooker
- add a note about running XFdrake on upgrade

* Sat Mar 03 2007 Anssi Hannula <anssi@zarb.org> 1.0-9746.5plf2007.1
- rename to nvidia97xx
- raise alternatives priority
- new package versioning scheme
- adapt for Mandriva 2007.1 (backportability to 2006/2007 is maintained)
- allow co-installation with nvidia96xx and nvidia71xx
- simplify documentation
- force zero exit status for rpm preun script

* Wed Jan 03 2007 Guillaume Rousse <guillomovitch@zarb.org> 9746-4plf2007.1
- add changelog forgottent in previous release (/me sux)
 - remove xen check in build script, as this version of the driver is patched
   to support it

* Thu Dec 28 2006 Anssi Hannula <anssi@zarb.org> 9746-2plf2007.1
- update descriptions, summaries, and README.install.urpmi
- add notice about dropped cards to README.upgrade.urpmi
- sync changes from nvidia_legacy package

* Fri Dec 22 2006 Anssi Hannula <anssi@zarb.org> 9746-1plf2007.1
- 9746

* Wed Dec 06 2006 Guillaume Rousse <guillomovitch@zarb.org> 9631-1plf2007.1
- new version 

* Wed Nov 08 2006 Anssi Hannula <anssi@zarb.org> 9629-1plf2007.1
- 9629

* Sat Oct 20 2006 Anssi Hannula <anssi@zarb.org> 8776-1plf2007.0
- 8776 (security fix release for CVE-2006-5379)

* Sun Sep 24 2006 Anssi Hannula <anssi@zarb.org> 8774-4plf2007.0
- make sure gl_conf is not in invalid state after remove on 2007.0
- update doc in README.install.urpmi
- fix stale symlink check of gl_conf on 2007.0

* Sat Sep 23 2006 Anssi Hannula <anssi@zarb.org> 8774-3plf2007.0
- fix upgrade

* Thu Sep 21 2006 Anssi Hannula <anssi@zarb.org> 8774-2plf2007.0
- use alternatives for 2007.0
- drop the pre-6.9 nvidia_drv.o
- fix xdg menu entry
- provide /etc/X11/XvMCConfig
- add doc to -devel and dkms pkgs
- update doc in description and README.install.urpmi
- standardize PLF reason

* Thu Aug 24 2006 Anssi Hannula <anssi@zarb.org> 8774-1plf2007.0
- 8774
- drop upstream patches

* Sat Jul 22 2006 Anssi Hannula <anssi@zarb.org> 8762-7plf2007.0
- fix libdir in libGL.la (João Xavier)
- don't require drakxtools not available on 2006.0 official (#133)
- patch from upstream
  * Patch1: support for 2.6.18-rc1 and above

* Mon Jul 17 2006 Anssi Hannula <anssi@zarb.org> 8762-6plf2007.0
- fail silently while uninstalling previous non-rpm installation

* Sun Jul 16 2006 Anssi Hannula <anssi@zarb.org> 8762-5plf2007.0
- merge to a new three-package packaging scheme
  * dkms-nvidia: kernel module
  * nvidia: X.org driver and libraries
  * nvidia-devel: development libraries and headers

* Sat Jul 08 2006 Anssi Hannula <anssi@zarb.org> 8762-4plf2007.0
- fix missing backslashes from _provides_exceptions
- patch from upstream
  * Patch0: compile fix for 2.6.17-git7 and above
- xdg menu

* Sat Jun 10 2006 Anssi Hannula <anssi@zarb.org> 8762-3plf2007.0
- drop unnecessary provides
- add libGL to _provides_exceptions

* Sun Jun 04 2006 Anssi Hannula <anssi@zarb.org> 8762-2plf2007.0
- require xorg >= 7.0 on cooker

* Thu May 25 2006 Anssi Hannula <anssi@zarb.org> 8762-1plf
- 8762
- do not modprobe in %%post

* Mon May 22 2006 Anssi Hannula <anssi@zarb.org> 8756-3plf
- fix XvMC location on cooker
- fix backporting

* Fri May 19 2006 Guillaume Rousse <guillomovitch@zarb.org> 8756-2plf
- handle new xorg

* Fri Apr  7 2006 Anssi Hannula <anssi@zarb.org> 8756-1plf
- 8756
- drop upstream patches
- add requires_exceptions so that urpmi doesn't offer nvidia_legacy

* Fri Jan 20 2006 Anssi Hannula <anssi@zarb.org> 8178-5plf
- patches from upstream
  * Patch3: compile fix for 2.6.15-git1 and above
  * Patch4: compile fix for 2.6.15-git8 and above
  * Patch5: fix for non-PAT usage

* Mon Jan  2 2006 Anssi Hannula <anssi@zarb.org> 8178-4plf
- nvidia-xorg requires strictly the correct library

* Thu Dec 29 2005 Anssi Hannula <anssi@zarb.org> 8178-3plf
- dkms-nvidia requires nvidia-xorg
- nvidia-xorg obsoletes nvidia
- patches from upstream
  * Patch0: power management on 2.6.14 and up
  * Patch1: vm_insert_page() on 2.6.15-rc5 and up
  * Patch2: x86_64 stability on 2.6.10 and below

* Sun Dec 25 2005 Anssi Hannula <anssi@zarb.org> 8178-2plf
- fix leftover provides
- remove OpenGL version from descriptions

* Sun Dec 25 2005 Anssi Hannula <anssi@zarb.org> 8178-1plf
- 8178
- use pkg0 sources, has only the stuff we need
- rename lib from nvidia-opengl to nvidia-xorg for consistency
- mklibnamify devel package
- use same symlinks as NVIDIA
- move libraries around, fix descriptions accordingly
- drop autoconfiguration (bug #87)
- include configuration instructions in README.install.urpmi and description
- remove multiple license and url tags
- fix menu
- drop modprobe.preloading nvidia, unnecessary
- add missing LICENSE
- drop empty %%build section

* Mon Dec  5 2005 Anssi Hannula <anssi@zarb.org> 8174-1plf
- version 8174
- add nvidia-xconfig, nvidia-settings.desktop and new docs
- switch to nvidia provided icon, buildrequires ImageMagick

* Thu Nov 17 2005 Anssi Hannula <anssi@zarb.org> 7676-8plf
- use libDrakX to enable/disable the driver
- clean provides
- fix summaries
- use %%version-%%release instead of %%version.%%release with dkms
- put back badperm fix to silence rpmlint

* Fri Nov 11 2005 Anssi Hannula <anssi@zarb.org> 7676-7plf
- do not set any extra options in xorg.conf

* Tue Nov  8 2005 Anssi Hannula <anssi@zarb.org> 7676-6plf
- fix summary
- remove unneeded badperm fix
- move config edits to post/preun of nvidia-xorg
- enable hardware acceleration of the RENDER extension
- enable GLX even when the Composite X extension is loaded

* Mon Oct 31 2005 Anssi Hannula <anssi@zarb.org> 7676-5plf
- %%clean_menus
- fix descriptions
- add notice about x86_64 to descriptions and README.urpmi

* Sun Oct 30 2005 Anssi Hannula <anssi@zarb.org> 7676-4plf
- spec cleanups
- ExclusiveArch %%ix86 x86_64
- split nvidia_GLX to libnvidia-opengl and nvidia-xorg
- %%pre and %%post pretty much rewritten
- same URL on all packages
- no conflicting files with libxorg-x11, use ld.so.conf.d
- XFdrake compatible
- summary and description fixes
- remove forced V_BUILD_NV_PAT_SUPPORT=1

* Sun Oct 30 2005 Sebastien Savarin <plouf@zarb.org> 7676-3plf
- fix PLF reason

* Sun Oct 30 2005 trem <trem@zarb.org> 7676-2plf
- add amd64
- fix lib for amd64

* Sat Oct 29 2005 Sebastien Savarin <plouf@zarb.org> 7676-1plf
- First PLF release based on Thac spec with many fix
